[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt-users] Libvirt Live Migration



On 12/04/2014 10:12 AM, Dhia Abbassi wrote:
> I installed CentOS 7 which supported by default a newer version of qemu-kvm
> (qemu-kvm-1.5.3-60.el7.x86_64.rpm) but this time I got new error:
> << error: internal error: unable to execute QEMU command 'migrate': this
> feature or command is not currently supported  >>
> 
> but it's kind of wired because qemu-kvm-1.0 supported already live
> migration, so a newer version should also support it.
> 
> How can you explain this? What could be the source of error?

You probably want to use qemu-kvm-rhev instead of qemu-kvm.  Quoting
Paolo Bonzini's earlier mail
(https://lists.gnu.org/archive/html/qemu-devel/2014-11/msg03379.html):

Luckily, since you are using CentOS you do not really care about
official Red Hat RPMs, and you can get the packages here:

http://resources.ovirt.org/pub/ovirt-3.5/rpm/el7Server/

This yum repository file will help:

    [qemu-kvm-rhev]
    name=oVirt rebuilds of qemu-kvm-rhev
    baseurl=http://resources.ovirt.org/pub/ovirt-3.5/rpm/el7Server/

mirrorlist=http://resources.ovirt.org/pub/yum-repo/mirrorlist-ovirt-3.5-el7Server
    enabled=1
    skip_if_unavailable=1
    gpgcheck=0

Drop it in /etc/yum.repos.d/qemu-kvm-rhev.repo and install qemu-kvm-rhev
with yum.  All features will be available.  It would be simpler to have
a CentOS SIG build this, but it hasn't happened yet.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]